package com.steerinfo.ems.emsprodplanyear.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="生产计划表（年）")
public class EmsProdplanYear implements IBasePO<String> {
    /**
     * ID(NO,VARCHAR,10)
     */
    @ApiModelProperty(value="ID",required=true)
    private String no;

    /**
     * 工序/产线(LINE,VARCHAR,10)
     */
    @ApiModelProperty(value="工序/产线",required=false)
    private String line;

    /**
     * 年月YYYYMM(YEARMONTH,VARCHAR,10)
     */
    @ApiModelProperty(value="年月YYYYMM",required=false)
    @JSONField(format = "yyyy-MM")
    private Date yearmonth;

    /**
     * 单位(UNIT,VARCHAR,20)
     */
    @ApiModelProperty(value="单位",required=false)
    private String unit;

    /**
     * 年度计划量(WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="年度计划量",required=false)
    private BigDecimal weight;

    /**
     * 创建人(CJR,VARCHAR,10)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String cjr;

    /**
     * 创建时间(CJSJ,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    @JSONField(format = "yyyy-MM-dd")
    private Date cjsj;

    /**
     * 截止时间
     */

    @ApiModelProperty(value="截止时间",required=false)
    @JSONField(format = "yyyy-MM-dd")
    private Date jzsj;

    public Date getJzsj() {
        return jzsj;
    }

    public void setJzsj(Date jzsj) {
        this.jzsj = jzsj;
    }

    /**
     * 修改人(XGR,VARCHAR,10)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String xgr;

    /**
     * 修改时间(XGSJ,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date xgsj;

    /**
     * 备注(MEMO,VARCHAR,500)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 产品名称(CP,VARCHAR,10)
     */
    @ApiModelProperty(value="产品名称",required=false)
    private String cp;

    /**
     * 使用数量(SYSL,DECIMAL,0)
     */
    @ApiModelProperty(value="使用数量",required=false)
    private Long sysl;

    /**
     * 外销数量(WXSY,DECIMAL,0)
     */
    @ApiModelProperty(value="外销数量",required=false)
    private Long wxsy;

    @ApiModelProperty(value = "父级id",required = false)
    private String  parentid;

    @ApiModelProperty(value = "产品id",required = false)
    private String productid;
    public String getProductid() {
        return productid;
    }

    public void setProductid(String productid) {
        this.productid = productid;
    }

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态",required = false)
    private String  zt;
    private String startTime;
    private String endTime;

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getZt() {
        return zt;
    }

    public void setZt(String zt) {
        this.zt = zt;
    }

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.no;
    }

    @Override
    public void setId(String no) {
        this.no = no == null ? null : no.trim();
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no == null ? null : no.trim();
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line == null ? null : line.trim();
    }

    public Date getYearmonth() {
        return yearmonth;
    }

    public void setYearmonth(Date yearmonth) {
        this.yearmonth = yearmonth;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public String getCjr() {
        return cjr;
    }

    public void setCjr(String cjr) {
        this.cjr = cjr == null ? null : cjr.trim();
    }

    public Date getCjsj() {
        return cjsj;
    }

    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    public String getXgr() {
        return xgr;
    }

    public void setXgr(String xgr) {
        this.xgr = xgr == null ? null : xgr.trim();
    }

    public Date getXgsj() {
        return xgsj;
    }

    public void setXgsj(Date xgsj) {
        this.xgsj = xgsj;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCp() {
        return cp;
    }

    public void setCp(String cp) {
        this.cp = cp == null ? null : cp.trim();
    }

    public Long getSysl() {
        return sysl;
    }

    public void setSysl(Long sysl) {
        this.sysl = sysl;
    }

    public Long getWxsy() {
        return wxsy;
    }

    public void setWxsy(Long wxsy) {
        this.wxsy = wxsy;
    }

    public String getParentid() {
        return parentid;
    }

    public void setParentid(String parentid) {
        this.parentid = parentid;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", no=").append(no);
        sb.append(", line=").append(line);
        sb.append(", yearmonth=").append(yearmonth);
        sb.append(", unit=").append(unit);
        sb.append(", weight=").append(weight);
        sb.append(", cjr=").append(cjr);
        sb.append(", cjsj=").append(cjsj);
        sb.append(", jzsj=").append(jzsj);
        sb.append(", xgr=").append(xgr);
        sb.append(", xgsj=").append(xgsj);
        sb.append(", memo=").append(memo);
        sb.append(", cp=").append(cp);
        sb.append(", sysl=").append(sysl);
        sb.append(", wxsy=").append(wxsy);
        sb.append(",parentid=").append(parentid);
        sb.append(",zt=").append(zt);
        sb.append("startTime=").append(startTime);
        sb.append("endTime=").append(endTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}